Bug 525896 - Unable to reach tor network
Summary: Unable to reach tor network
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 20:42 UTC by Phip
Modified: 2010-06-28 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:49:07 UTC


Attachments (Terms of Use)

Description Phip 2009-09-26 20:42:06 UTC
Description of problem:
Running tor either as a system service or through vidalia, I cannot reach the tor network in Firefox with proxy settings set by the torbutton plugin.

Steps to Reproduce:
1. Start Tor or Vidalia
2. enable torbutton
3. navigate to https://check.torproject.org/

Actual results:
"Sorry. You are not using Tor."

Additional info:

vidalia log is normal:
[Notice] Tor v0.2.0.35. This is experimental software. Do not rely on it for strong anonymity. (Running on Linux x86_64)
[Notice] Initialized libevent version 1.4.5-stable using method epoll. Good.
[Notice] Opening Socks listener on 127.0.0.1:9050
[Notice] Opening Control listener on 127.0.0.1:9051
[Notice] Tor has successfully opened a circuit. Looks like client functionality is working.

Netstat shows vidalia and tor ports open:
tcp   0   0 127.0.0.1:8118   0.0.0.0:*   LISTEN
tcp   0   0 127.0.0.1:9050   0.0.0.0:*   LISTEN
tcp   0   0 127.0.0.1:9051   0.0.0.0:*   LISTEN

Version-Release number of selected component (if applicable):
privoxy 3.0.10-3
tor 0.2.0.35-1
vidalia 0.1.15-1
torbutton 1.2.2 (not fedora repo)

System firewall is disabled.

And yet, https://check.torproject.org/ reports I am not using the tor network.

Comment 1 Simon 2009-10-16 05:05:27 UTC
John, do you still have this problem?

Comment 2 Simon 2009-10-19 05:55:39 UTC
I haven't torbutton (but this shouldn't be the problem) and it works for me!

Comment 3 Phip 2009-10-21 17:21:23 UTC
Yes, still having this problem. All components are still at the same version. Any ideas of what to test? As I said, ports are open and torbutton is making the appropriate proxy settings so I'm not sure what else to check. Everything seems fine except browsing isn't going through tor!

Comment 4 Enrico Scholz 2009-10-22 13:52:48 UTC
What gives

$ curl --socks5-hostname localhost:9050 http://www.whatismyip.org/

?  Please replace the 'localhost:9050' part with the ip + port accordingly your local installation.  When you get a plausible result, you should check firefox + torbutton.

Comment 5 Phip 2009-10-25 19:09:13 UTC
$ curl --socks5-hostname 127.0.0.1:9050 http://www.whatismyip.org
89.239.213.173
$ curl http://whatismyip.org
216.183.186.16

I created a new profile in Firefox 3.5.3 and only installed torbutton. It still does not use the proxy and still the test fails. I guess the problem is wholly inside of Firefox/torbutton, then. But I have no idea what it is...

Comment 6 Bug Zapper 2010-04-28 10:35:00 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:49:07 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.